/* pip.h
 * Header file for the Linux CAN-bus driver.
 * Written by Arnaud Westenberg email:arnaud@wanadoo.nl
 * Rewritten for new CAN queues by Pavel Pisa - OCERA team member
 * email:pisa@cmp.felk.cvut.cz
 * This software is released under the GPL-License.
 * Version lincan-0.2.8  17 Jun 2004
 */

int pip5_request_io(struct candevice_t *candev);
int pip5_release_io(struct candevice_t *candev);
int pip5_reset(struct candevice_t *candev); 
int pip5_init_hw_data(struct candevice_t *candev);
int pip5_init_chip_data(struct candevice_t *candev, int chipnr);
int pip5_init_obj_data(struct chip_t *chip, int objnr);
void pip5_write_register(unsigned data, unsigned long address);
unsigned pip5_read_register(unsigned long address);
int pip5_program_irq(struct candevice_t *candev);

